<template>
  <i-frame :src="openUrl"
    id="jimuReportFrame"></i-frame>
</template>
<script>
// 报表设计器
import { getToken } from '@/utils/auth'
import iFrame from '@/components/iFrame/index'
export default {
  name: "Jimu",
  components: { iFrame },
  data() {
    return {
      // 这里写暴露的统一的网关地址
      openUrl: `${import.meta.env.VITE_APP_REPORT_URL}/report/drag/list?token=` + getToken(),
    }
  }
};
</script>

<style lang="scss"
  scoped>
  #jimuReportFrame {
    width: 100%;
    // 为了隐藏积木报表顶部的广告栏
    // min-height: calc(100vh - 30px) !important;
    // margin-top: -60px;
  }
</style>